Package org.zkoss.stateless.sul

## Enum IA.Target

- java.lang.Object
- - java.lang.Enum<IA.Target>
  - - org.zkoss.stateless.sul.IA.Target

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IA.Target>`
  Enclosing interface:
    IA<I extends IAnyGroup>

      public static enum IA.Target
      extends java.lang.Enum<IA.Target>

  Insert Adjacent `target` for `IA.withTarget(Target)`}

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `_TOP` | The topmost browsing context (the "highest" context that’s an ancestor of the current one).
    `BLANK` | Usually a new tab, but users can configure browsers to open a new window instead.
    `PARENT` | The parent browsing context of the current one.
    `SELF` | The current browsing context.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IA.Target` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IA.Target[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELF

          public static final IA.Target SELF

      The current browsing context.

    - #### BLANK

          public static final IA.Target BLANK

      Usually a new tab, but users can configure browsers to open a new window instead.

    - #### PARENT

          public static final IA.Target PARENT

      The parent browsing context of the current one. If no parent, behaves as `SELF`.

    - #### _TOP

          public static final IA.Target _TOP

      The topmost browsing context (the "highest" context that’s an ancestor of the current one). If no ancestors, behaves as `SELF`.

  - ### Method Detail

    - #### values

          public static IA.Target[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IA.Target c : IA.Target.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IA.Target valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null